require 'erb'
module Commands
  class SetupLogrotate
    extend Citrin::Helpers
    def self.run(app)
      @app = app
      logfile = rails_app_log_file(@app)
      template_file = logrotate_config_template(@app)
      template = ERB.new(File.read(template_file), 0, "%<>")
      result = template.result(binding)
      output_file = "/etc/logrotate.d/rails-app-#{@app.name}-#{@app.env}"
      puts "Creating logrotate config file at #{output_file}"
      puts result
      `sudo sh -c 'echo "#{result}" > #{output_file}'`
    end
  end
end
