module Citrin::Helpers
  def webserver_template_file(env)
    env ||= "prod"
    File.dirname(__FILE__)+"/../../templates/#{env}_virtualhost.erb"
  end

  def database_template_file(env)
    env ||= "prod"
    File.dirname(__FILE__)+"/../../templates/#{env}.database.erb"
  end

  def rails_app_log_file(app)
    "#{app.app_root}/log/#{app.fullenv}.log"
  end

  def logrotate_config_template(app)
    File.dirname(__FILE__)+"/../../templates/logrotate.erb"
  end

end
